Package org.springframework.web.context.support

# Class HttpRequestHandlerServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.springframework.web.context.support.HttpRequestHandlerServlet

All Implemented Interfaces:
  `Servlet`, `ServletConfig`, `Serializable`

public class HttpRequestHandlerServlet extends HttpServlet
Simple HttpServlet that delegates to an `HttpRequestHandler` bean defined in Spring's root web application context. The target bean name must match the HttpRequestHandlerServlet servlet-name as defined in `web.xml`.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - `HttpRequestHandler`
  - `org.springframework.web.servlet.DispatcherServlet`
  - Serialized Form

## Field Summary

### Fields inherited from class jakarta.servlet.http.HttpServlet

`LEGACY_DO_HEAD`

## Constructor Summary

Constructors
Constructor
Description
`HttpRequestHandlerServlet()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`
`protected void`
`service(HttpServletRequest request, HttpServletResponse response)`

### Methods inherited from class jakarta.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, init, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### HttpRequestHandlerServlet

public HttpRequestHandlerServlet()

## Method Details

### init

public void init() throws ServletException

Overrides:
  `init` in class `GenericServlet`
Throws:
  `ServletException`

### service

protected void service(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException

Overrides:
  `service` in class `HttpServlet`
Throws:
  `ServletException`
  `IOException`